/**
 * @file
 * Node specific styles.
 */

.node {
  & header {
    grid-column: 1 / -1;
    @media (min-width: 62.5rem) {
      grid-column: 2 / -2;
    } 
  }

  & .node__content {
    grid-column: 1 / -1;
  }
}

.node__content {
  display: grid;
  grid-template-columns: subgrid;
  & > * {
    grid-column: 1 / -1;
  }

  & > * {
    @media (min-width: 62.5rem) {
      grid-column: 2 / -2;
    }  
  }
}




.card {
  display: flex;
  flex-direction: column;
  height: 100%;

  padding: 0rem;
  /*background-color: #f6f8f8;*/
  transition: box-shadow .5s ease;
  /*border: 1px solid #dfdfdf;*/
  
  &:hover {
    box-shadow: 0 0 10px 2px #cbcbcb;
  }

  & .xxfield {
    margin-block-end: 0;
  }

  & .card-title {
    margin-block: 0.5rem;
    font-size: 1.25rem;
    font-weight: 600;
    line-height: 1.5;

    & a {
      color: black;
      text-decoration: none;
    }
}
  }

  & .card-body {
  display: flex;
  flex-direction: column;
      gap: 1rem;
      height: 100%;
    padding: 1rem;
    color: black;
  }

  & .card-text {
    margin-block: 0;
  }

  & .event-date {
    margin-block-start: auto;
    margin-block-end: 0;
  }

  & .event-place {
    margin-block: 0;
  }

}

.node_card__meta {
  margin-block-start: 0.5rem;
  font-size: 12px;
  line-height: 1;
}


